Click or drag to resize

CurveMakeEndsMeet Method

Makes adjustments to the ends of one or both input curves so that they meet at a point.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static bool MakeEndsMeet(
	Curve curveA,
	bool adjustStartCurveA,
	Curve curveB,
	bool adjustStartCurveB
)

Parameters

curveA
Type: Rhino.GeometryCurve
1st curve to adjust.
adjustStartCurveA
Type: SystemBoolean
Which end of the 1st curve to adjust: true is start, false is end.
curveB
Type: Rhino.GeometryCurve
2nd curve to adjust.
adjustStartCurveB
Type: SystemBoolean
which end of the 2nd curve to adjust true==start, false==end.

Return Value

Type: Boolean
true on success.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also